org.bdgenomics.adam.algorithms.smithwaterman

# SmithWatermanGapScoringFromFn

#### abstract class SmithWatermanGapScoringFromFn extends SmithWaterman

Linear Supertypes
SmithWaterman, Serializable, Serializable, AnyRef, Any
Known Subclasses
SmithWatermanConstantGapScoring
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SmithWatermanGapScoringFromFn
2. SmithWaterman
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SmithWatermanGapScoringFromFn(xSequence: String, ySequence: String, scoreFn: (Int, Int, Char, Char) ⇒ Double)

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def buildScoringMatrix(): (Array[Array[Double]], Array[Array[Char]])

   Builds Smith-Waterman scoring matrix.

   Builds Smith-Waterman scoring matrix.

   returns

     2D array of doubles, along with move direction at each point.

   Definition Classes
     SmithWatermanGapScoringFromFn → SmithWaterman
   Note

     To work with the move function, expected move directions are:

     * I: move in I coordinate * J: move in J coordinate * B: move in both I and J * T: terminate move

   See also

     move

8. #### lazy val cigarX: Cigar

   Definition Classes
     SmithWaterman

9. #### lazy val cigarY: Cigar

   Definition Classes
     SmithWaterman

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### lazy val moveMatrix: Array[Array[Char]]

    Definition Classes
      SmithWaterman

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### lazy val scoringMatrix: Array[Array[Double]]

    Definition Classes
      SmithWaterman

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toString(): String

    Definition Classes
      AnyRef → Any

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### lazy val xStart: Int

    Definition Classes
      SmithWaterman

28. #### lazy val yStart: Int

    Definition Classes
      SmithWaterman

### Inherited from SmithWaterman

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped